Name:		djbdns
Summary:	Domain Name System tools
Version:	1.05
Release:	3%{?dist}
License:	Public domain
Group:		System Environment/Daemons
URL:		http://cr.yp.to/djbdns.html
Packager:	John Simpson <jms1@jms1.net>

Requires(pre):	/usr/bin/getent, /usr/sbin/useradd, /usr/sbin/groupadd

Source0:	http://cr.yp.to/djbdns/djbdns-%{version}.tar.gz
Patch0:		https://www.fefe.de/dns/djbdns-1.05-test27.diff.bz2

%description
djbdns is a collection of Domain Name System tools.

This package uses Felix von Leitner's djbdns-1.05-test27.diff.bz2 patch
to add support for IPv6. https://www.fefe.de/dns/

%prep
%setup
%patch0 -p1 -E
sed -i -e '/extern int errno/{s/^/\/* /;s/$/ *\//;G;s/$/#include <errno.h>/;}' error.h
sed -i -e 's/^diet -Os //' conf-cc
sed -i -e 's/^diet -Os //' conf-ld

%build
make

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{usr/local,etc}
echo "$RPM_BUILD_ROOT/usr/local" >conf-home
rm -f auto_home.o auto_home.c hier.o install instcheck
perl -pi -le 's!/!'$RPM_BUILD_ROOT'!' hier.c
make install instcheck
./install
./instcheck

%clean
rm -rf $RPM_BUILD_ROOT

%pre
/usr/bin/getent group  dnsrun > /dev/null || /usr/sbin/groupadd -r dnsrun
/usr/bin/getent group  dnslog > /dev/null || /usr/sbin/groupadd -r dnslog
/usr/bin/getent passwd dnsrun > /dev/null || /usr/sbin/useradd -r -g dnsrun -d /opt/iris/home -s /bin/bash dnsrun
/usr/bin/getent passwd dnslog > /dev/null || /usr/sbin/useradd -r -g dnslog -d /opt/iris/home -s /bin/bash dnslog

%files
%defattr(-,root,root)
/usr/local/bin/*
/etc/*

%changelog

* Fri May 27 2016 John Simpson <jms1@jms1.net> 1.05-3
- Added Felix von Leitner's IPv6 patch djbdns-1.05-test27.diff.bz2
  https://www.fefe.de/dns/
- Removed "diet -Os" from the conf-cc and conf-ld files

- Adding IPv6 support

* Mon Jan 6 2014 John Simpson <jms1@jms1.net>
- Re-packaging for myself.
- Creating dnsrun and dnslog users on install.

* Mon Feb 12 2001 Bruce Guenter <bruceg@em.ca>
- Updated to version 1.05

* Mon Jan 22 2001 Bruce Guenter <bruceg@em.ca>
- Updated to version 1.04

* Sun Jan 7 2001 Bruce Guenter <bruceg@em.ca>
- Updated to version 1.03

* Wed Oct 18 2000 Bruce Guenter <bruceg@em.ca>
- Renamed to djbdns.
- Updated to version 1.02

* Thu Mar 30 2000 Bruce Guenter <bruceg@em.ca>
- Moved all the RedHat specific stuff into a seperate "run" package.

* Wed Mar 29 2000 Bruce Guenter <bruceg@em.ca>
- Make the original conf programs retain their original names, and give
  the new programs the name *-rhconf.

* Sun Mar 26 2000 Bruce Guenter <bruceg@em.ca>
- Updated to version 1.00.

* Wed Mar 15 2000 Bruce Guenter <bruceg@em.ca>
- Updated to version 0.93.

* Mon Mar 6 2000 Bruce Guenter <bruceg@em.ca>
- Fixed a typo in the common init script.

* Thu Mar 2 2000 Bruce Guenter <bruceg@em.ca>
- Updated to version 0.91.
- Modified RPM specific files to use new directory structure.
- Added descriptions to the init.d scripts to fix problems with
  chkconfig.

* Sun Feb 20 2000 Bruce Guenter <bruceg@em.ca>
- Fixed some bugs in the init scripts and the redhat-conf script.
- Repackaged the RPM specific stuff into a seperate tarball.

* Tue Feb 15 2000 Bruce Guenter <bruceg@em.ca>
- Added init scripts to start any axfrdns, dnscache, pickdns, rbldns,
  tinydns, or walldns service.

* Mon Feb 14 2000 Bruce Guenter <bruceg@em.ca>
- Added RedHat specific *-conf script to put the log files in /var/log
- Added dnsip to list of programs in /usr/bin
